import request from '@/utils/request'

// 查询会员看课统计-按营期统计列表
export function listUserWatchStatistics(query) {
  return request({
    url: '/course/userWatchStatistics/list',
    method: 'get',
    params: query
  })
}

// 查询会员看课统计-按营期统计详细
export function getUserWatchStatistics(id) {
  return request({
    url: '/course/userWatchStatistics/' + id,
    method: 'get'
  })
}

// 新增会员看课统计-按营期统计
export function addUserWatchStatistics(data) {
  return request({
    url: '/course/userWatchStatistics',
    method: 'post',
    data: data
  })
}

// 修改会员看课统计-按营期统计
export function updateUserWatchStatistics(data) {
  return request({
    url: '/course/userWatchStatistics',
    method: 'put',
    data: data
  })
}

// 删除会员看课统计-按营期统计
export function delUserWatchStatistics(id) {
  return request({
    url: '/course/userWatchStatistics/' + id,
    method: 'delete'
  })
}

// 导出会员看课统计-按营期统计
export function exportUserWatchStatistics(query) {
  return request({
    url: '/course/userWatchStatistics/export',
    method: 'get',
    params: query
  })
}